class MediaItemDetail {
  final int id;
  final String mime;
  final String dest;
  final String username;
  final int stamp;
  final int? next;
  final int? prev;

  MediaItemDetail({
    required this.id,
    required this.mime,
    required this.dest,
    required this.username,
    required this.stamp,
    required this.next,
    required this.prev,
  });

  factory MediaItemDetail.fromJson(Map<String, dynamic> json) {
    return MediaItemDetail(
      id: json['id'],
      mime: json['mime'],
      dest: json['dest'],
      username: json['username'],
      stamp: json['stamp'],
      next: json['next'],
      prev: json['prev'],
    );
  }

  String get mediaUrl => 'https://f0ck.me/b/$dest';
}
